> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new tag group resource



## OpenAPI

````yaml post /v0/tag-groups
openapi: 3.0.1
info:
  title: Tags API
  description: Tags OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-expense-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 31.38.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
paths:
  /v0/tag-groups:
    post:
      tags:
        - tag-groups
      summary: Creates a new tag group resource
      operationId: createTagGroup
      parameters:
        - name: company_id
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/TagGroupCreateModel'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseTagGroupModel'
components:
  schemas:
    TagGroupCreateModel:
      required:
        - archived
        - code
        - name
      type: object
      properties:
        archived:
          type: boolean
        code:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        name:
          type: string
    DataResponseTagGroupModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TagGroupModel'
    TagGroupModel:
      required:
        - archived
        - code
        - companyId
        - createdAt
        - id
        - metadata
        - name
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: This tag group is not used anymore
          example: false
        code:
          type: string
          description: >-
            External identifier of the Tag group / Dimension used for mapping to
            accounting system
          example: 5524f270-6c21-11ee-b962-0242ac120002
        companyId:
          type: string
          description: Unique identifier of the company the Tag Group belongs to
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120003
        createdAt:
          type: string
          description: Creation date and time
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
        id:
          type: string
          description: Unique identifier of Tag Group (generated on creation)
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        metadata:
          type: object
          additionalProperties:
            type: string
            description: Place for API users to store flexible data
            example: '{"externalExtraId":"f302f9ec-6c17-11ee-b962-0242ac120002"}'
          description: Place for API users to store flexible data
          example:
            externalExtraId: f302f9ec-6c17-11ee-b962-0242ac120002
        name:
          type: string
          description: User readable name of Tag Group
          example: Projects
        updatedAt:
          type: string
          description: Date and time of the last update
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.